
%define debug_package %{nil}
Name:    tezos-smart-rollup-node-PtNairob
Version: 18.0rc1
Release: 1
Epoch: 1
Summary: Tezos smart rollup node using PtNairob
License: MIT
BuildArch: x86_64 aarch64
Source0: tezos-smart-rollup-node-PtNairob-18.0rc1.tar.gz
Source1: https://gitlab.com/tezos/tezos/tree/v18.0-rc1/
BuildRequires: make wget systemd systemd-rpm-macros
Requires: , tezos-client, tezos-node, tezos-sapling-params
%description
Tezos smart rollup node using PtNairob
Maintainer: Serokell <hi@serokell.io>
%prep
%setup -q
%build
%install
make octez-smart-rollup-node-PtNairob
mkdir -p %{buildroot}/%{_bindir}
install -m 0755 octez-smart-rollup-node-PtNairob %{buildroot}/%{_bindir}
ln -s %{_bindir}/octez-smart-rollup-node-PtNairob %{buildroot}/%{_bindir}/tezos-smart-rollup-node-PtNairob



mkdir -p %{buildroot}/%{_unitdir}
install -m 644 tezos-smart-rollup-node-ptnairob.service %{buildroot}/%{_unitdir}

mkdir -p %{buildroot}/%{_sysconfdir}/default
install -m 644 tezos-smart-rollup-node-ptnairob.default %{buildroot}/%{_sysconfdir}/default/tezos-smart-rollup-node-ptnairob

install -m 0755 tezos-sc-rollup-node-PtNairob-start %{buildroot}/%{_bindir}


%files
%license LICENSE

%{_bindir}/octez-smart-rollup-node-PtNairob
%{_bindir}/tezos-smart-rollup-node-PtNairob

%{_bindir}/tezos-sc-rollup-node-PtNairob-start

%{_unitdir}/tezos-smart-rollup-node-ptnairob.service

%{_sysconfdir}/default/tezos-smart-rollup-node-ptnairob



%post
%systemd_post tezos-smart-rollup-node-ptnairob.service


if [ -z $(getent passwd tezos) ]; then
    useradd -r -s /bin/false -m -d /var/lib/tezos tezos
    chmod 0755 /var/lib/tezos
fi

mkdir -p /var/lib/tezos/.tezos-client
chown -R tezos:tezos /var/lib/tezos/.tezos-client


%preun
%systemd_preun tezos-smart-rollup-node-ptnairob.service


%postun
%systemd_postun_with_restart tezos-smart-rollup-node-ptnairob.service



